## org.eclipse.datatools.connectivity.drivers.models
Class MySafeRunnable

    java.lang.Object
      org.eclipse.datatools.connectivity.drivers.models.MySafeRunnable

public class MySafeRunnable
extends java.lang.Object

Constructor Summary
`MySafeRunnable(CategoryDescriptor[] instance, IConfigurationElement element)`
`MySafeRunnable(OverrideTemplateDescriptor[] instance, IConfigurationElement element)`
`MySafeRunnable(TemplateDescriptor[] instance, IConfigurationElement element)`

Method Summary
`void` `handleException(java.lang.Throwable exception)`
`void` `run()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MySafeRunnable

    public MySafeRunnable(CategoryDescriptor[] instance,
                          IConfigurationElement element)

### MySafeRunnable

    public MySafeRunnable(TemplateDescriptor[] instance,
                          IConfigurationElement element)

### MySafeRunnable

    public MySafeRunnable(OverrideTemplateDescriptor[] instance,
                          IConfigurationElement element)

Method Detail

### handleException

    public void handleException(java.lang.Throwable exception)

### run

    public void run()
             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.